Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_Type_Dcl_Visitor Class Reference

`#include <PSDL_Type_Dcl_Visitor.h>`

Inheritance diagram for TAO_PSDL_Type_Dcl_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Type_Dcl_Visitor:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Type_Dcl_Visitor ()
| ~TAO_PSDL_Type_Dcl_Visitor ()
int | visit_identifier (TAO_PSDL_Identifier *identifier)
int | visit_type_declarator (TAO_PSDL_Type_Declarator *node)
int | visit_predefined_type (TAO_PSDL_Predefined_Type *predefined_type)
## Private Member Functions
void | print_for_simple_typedefs (void)
void | print_for_sequence_typedefs (ACE_CString identifier_type, ACE_CString identifier)
void | gen_code_for_si (void)

## Constructor & Destructor Documentation

TAO_PSDL_Type_Dcl_Visitor::TAO_PSDL_Type_Dcl_Visitor | ( |  | ) |

TAO_PSDL_Type_Dcl_Visitor::~TAO_PSDL_Type_Dcl_Visitor | ( |  | ) |

## Member Function Documentation

void TAO_PSDL_Type_Dcl_Visitor::gen_code_for_si | ( | void |  | ) | `[private, virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

void TAO_PSDL_Type_Dcl_Visitor::print_for_sequence_typedefs | ( | ACE_CString | identifier_type,
|  | ACE_CString | identifier
| ) | `[private]`

void TAO_PSDL_Type_Dcl_Visitor::print_for_simple_typedefs | ( | void |  | ) | `[private]`

int TAO_PSDL_Type_Dcl_Visitor::visit_identifier | ( | TAO_PSDL_Identifier * | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Type_Dcl_Visitor::visit_predefined_type | ( | TAO_PSDL_Predefined_Type * | predefined_type | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Type_Dcl_Visitor::visit_type_declarator | ( | TAO_PSDL_Type_Declarator * | node | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

The documentation for this class was generated from the following files:

- PSDL_Type_Dcl_Visitor.h
- PSDL_Type_Dcl_Visitor.cpp